Summary: ulogd - The userspace logging daemon for netfilter
Name: ulogd
Version: 1.01
Release: alt0.1
License: GPL
Group: System/Servers
Source: http://ftp.netfilter.org/pub/ulogd/%{name}-%{version}.tar.bz2
Source1: ulogd.init
Patch0: %name-alt-rules.make.in.patch
Patch1: %name-alt-ulogd.conf.in.patch

# Automatically added by buildreq on Mon Sep 29 2003
BuildRequires: libMySQL-devel libpcap-devel libpq3-devel postgresql-devel

Requires: libpcap 

%package mysql
Summary: MySQL output plugin for ulogd
Group: System/Servers
Requires: %name = %version-%release
Requires: libMySQL zlib 

%package pgsql
Summary: PostgreSQL output plugin for ulogd
Group: System/Servers
Requires: %name = %version-%release
Requires: libpq3 libssl

%package -n libipulog-devel-static
Summary: header and static lib for ipulog
Group: Development/C

%description
ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4 firewalling subsystem. ulogd is able to log packets in variuos
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.

%description mysql
ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.

%description pgsql
ulogd-mysql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%description -n libipulog-devel-static
header and static lib for ipulog

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
%configure --with-mysql=/usr/lib/mysql --with-pgsql=/usr/lib/pgsql
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}
mkdir -p %{buildroot}/%{_libdir}/ulogd
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/usr/include/libipulog
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}/%{_sysconfdir}/rc.d/init.d
install %SOURCE1 %{buildroot}/%{_sysconfdir}/rc.d/init.d/ulogd
install libipulog/include/libipulog/libipulog.h %{buildroot}/usr/include/libipulog
install libipulog/libipulog.a %{buildroot}/%{_libdir}

%files
%attr(0755,root,root) %{_sbindir}/ulogd
%{_sysconfdir}/ulogd.conf
%{_sysconfdir}/rc.d/init.d/ulogd
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_PCAP.so
%doc COPYING AUTHORS README
%doc doc/ulogd.txt doc/ulogd.a4.ps doc/ulogd.html

%files mysql
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%{_libdir}/ulogd/ulogd_PGSQL.so

%files -n libipulog-devel-static
%attr(0644,root,root) /usr/include/libipulog/libipulog.h
%attr(0644,root,root) %{_libdir}/libipulog.a

%changelog
* Wed Oct 01 2003 Victor V Ismakaev <ivv@altlinux.ru> 1.01-alt0.1
+ ulogd-1.01
- First build for ALTLinux

* Wed Mar 05 2003 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.00-1gm
- updated to 1.00 release

* Mon Sep 24 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.97-1cl
- updatd to 0.97 release (to fix endless-one-packet-loop bug)

* Sun Jun 17 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-2cl
- updated to 0.96 final release
- use ulogd.init from within source tgz

* Sun May 20 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-1cl
- Initial conectiva package
- cleaned up SPEC file
- created mysql subpackage

* Sun Nov 19 2000 Harald Welte <laforge@gnumonks.org>
- Initial RPM package for ulogd-0.9.
